;;;; server.scm -- irc server

;;; Created:    <2002-07-07 13:22:09 foof>
;;; Time-stamp: <2002-07-13 18:33:10 foof>
;;; Author:     Alex Shinn <foof@synthcode.com>

(define-module irc.server
  (export <irc-server>)
  )
(select-module irc.server)

(define-class <irc-server> ()
  ((socket    :init-keyword :socket :initform #f)
   (selector  :init-keyword :selector :initform #f)
   (clients   :init-keyword :clients :initform '())
   (channels  :init-keyword :channels :initform '())
   (starttime :init-keyword :starttime :initform (sys-time))
   (hostname  :init-keyword :hostname :initform #f)
   (wiki-dir  :init-keyword :wiki-dir :initform (sys-getcwd))))

(provide "irc/server")

